Bug 722832 - (CVE-2011-2753) CVE-2011-2753 SquirrelMail: CSRF in the empty trash feature and in Index Order page
CVE-2011-2753 SquirrelMail: CSRF in the empty trash feature and in Index Orde...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110712,reported=20110717,sou...
: Security
Depends On: 737980 737981 737982 833983
Blocks: 720699
  Show dependency treegraph
 
Reported: 2011-07-18 03:37 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-08 23:48:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-07-18 03:37:01 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-2753 to
the following vulnerability:

Multiple cross-site request forgery (CSRF) vulnerabilities in
SquirrelMail 1.4.21 and earlier allow remote attackers to hijack the
authentication of unspecified victims via vectors involving (1) the
empty trash implementation and (2) the Index Order (aka options_order)
page, a different issue than CVE-2010-4555.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2753
[2] http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail?view=revision&revision=14119
[3] https://bugzilla.redhat.com/show_bug.cgi?id=720694

Upstream patch (subpart of [3], relevant to options order and empty trash implementation):
[4] http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail/branches/SM-1_4-STABLE/squirrelmail/src/options_order.php?view=patch&r1=14084&r2=14119&pathrev=14119
    (options_order)
[5] http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail/branches/SM-1_4-STABLE/squirrelmail/src/empty_trash.php?view=patch&r1=14084&r2=14119&pathrev=14119
    (empty trash implementation)
Comment 1 Jan Lieskovsky 2011-07-18 03:43:20 EDT
These issues affect the versions of the squirrelmail package, as shipped with
Red Hat Enterprise Linux 4 and 5.

--

These issues do not affect the version of the squirrelmail package, as present
within EPEL-6 repository. Relevant package update has been already performed.

--

These issues do not affect the versions of the squirrelmail package, as shipped
with Fedora release of 14 and 15. Squirrelmail package updates has been already
scheduled (squirrelmail-1.4.22-2.fc14, squirrelmail-1.4.22-2.fc15) and once
they have passed the required testing, they will be pushed to particular Fedora
stable repository.
Comment 3 errata-xmlrpc 2012-02-08 14:48:01 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2012:0103 https://rhn.redhat.com/errata/RHSA-2012-0103.html

Note You need to log in before you can comment on or make changes to this bug.